summaryrefslogtreecommitdiff
blob: 4a1c186e720d526b8d921bd0a6e72ec4c1b5b6f4 (plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
{'description': {'en': "Ari Malinen's personal overlay"},
 'feed': ['https://github.com/causes-/causelay/commits/master.atom'],
 'homepage': 'https://github.com/causes-/causelay',
 'name': 'causelay',
 'owner': [{'email': 'ari.malinen@gmail.com',
            'name': 'Ari Malinen',
            'type': 'person'}],
 'quality': 'experimental',
 'source': [{'type': 'git', 'uri': 'https://github.com/causes-/causelay.git'},
            {'type': 'git', 'uri': 'git@github.com:causes-/causelay.git'}],
 'status': 'unofficial'}
$ pmaint sync causelay
WARNING:pkgcore:EAPI '7' isn't fully supported
WARNING:pkgcore:'genthree' repo at '/var/lib/repo-mirror-ci/sync/genthree' has unsupported profile format: profile-bashrcs
WARNING:pkgcore:'xelnor' repo at '/var/lib/repo-mirror-ci/sync/xelnor' has unsupported profile format: build-id
WARNING:pkgcore:'beatussum-overlay' repo at '/var/lib/repo-mirror-ci/sync/beatussum-overlay' has unsupported profile format: profile-default-eapi
Already up to date.
*** syncing causelay
*** synced causelay
 * Sync succeeded
$ git log --format=%ci -1
$ git show -q --pretty=format:%G? HEAD
$ pmaint regen --use-local-desc --pkg-desc-index -t 1 causelay
WARNING:pkgcore:EAPI '7' isn't fully supported
WARNING:pkgcore:'genthree' repo at '/var/lib/repo-mirror-ci/repos/genthree' has unsupported profile format: profile-bashrcs
WARNING:pkgcore:'xelnor' repo at '/var/lib/repo-mirror-ci/repos/xelnor' has unsupported profile format: build-id
WARNING:pkgcore:'beatussum-overlay' repo at '/var/lib/repo-mirror-ci/repos/beatussum-overlay' has unsupported profile format: profile-default-eapi
WARNING:pkgcore:'genthree' repo at '/var/lib/repo-mirror-ci/repos/genthree' has unsupported profile format: profile-bashrcs
WARNING:pkgcore:'xelnor' repo at '/var/lib/repo-mirror-ci/repos/xelnor' has unsupported profile format: build-id
WARNING:pkgcore:'beatussum-overlay' repo at '/var/lib/repo-mirror-ci/repos/beatussum-overlay' has unsupported profile format: profile-default-eapi
Traceback (most recent call last):
  File "/usr/lib64/python3.6/site-packages/pkgcore/ebuild/repository.py", line 502, in _get_packages
    self.false_packages.__contains__, listdir_dirs(cpath)))
  File "/usr/lib64/python3.6/site-packages/snakeoil/osutils/native_readdir.py", line 43, in listdir_dirs
    return [x for x in os.listdir(path) if
NotADirectoryError: [Errno 20] Not a directory: '/var/lib/repo-mirror-ci/repos/causelay/media-sound'

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/lib/python-exec/python3.6/pmaint", line 4, in <module>
    scripts.run(basename(__file__))
  File "/usr/lib64/python3.6/site-packages/pkgcore/scripts/__init__.py", line 32, in run
    sys.exit(tool())
  File "/usr/lib64/python3.6/site-packages/snakeoil/cli/tool.py", line 86, in __call__
    ret = self.main()
  File "/usr/lib64/python3.6/site-packages/snakeoil/cli/tool.py", line 189, in main
    self.handle_exec_exception(e)
  File "/usr/lib64/python3.6/site-packages/snakeoil/cli/tool.py", line 174, in main
    exitstatus = func(self.options, self.out, self.err)
  File "/usr/lib64/python3.6/site-packages/pkgcore/scripts/pmaint.py", line 305, in regen_main
    eclass_caching=(not options.disable_eclass_caching)))
  File "/usr/lib64/python3.6/site-packages/pkgcore/operations/repo.py", line 304, in _proxy_op
    return getattr(self.raw_operations, op_name)(*args, **kwargs)
  File "/usr/lib64/python3.6/site-packages/pkgcore/operations/repo.py", line 304, in _proxy_op
    return getattr(self.raw_operations, op_name)(*args, **kwargs)
  File "/usr/lib64/python3.6/site-packages/pkgcore/operations/__init__.py", line 73, in _recast_exception_decorator
    return functor(*args, **kwds)
  File "/usr/lib64/python3.6/site-packages/pkgcore/operations/repo.py", line 252, in _cmd_api_regen_cache
    self._get_observer(observer), threads=threads, **kwargs):
  File "/usr/lib64/python3.6/site-packages/pkgcore/operations/regen.py", line 41, in regen_repository
    map_async(pkgs, errors, regen_iter, threads=threads, per_thread_args=get_args)
  File "/usr/lib64/python3.6/site-packages/pkgcore/util/thread_pool.py", line 69, in map_async
    for data in iterable:
  File "/usr/lib64/python3.6/site-packages/pkgcore/repository/prototype.py", line 282, in _internal_match
    for pkg in self._internal_gen_candidates(candidates, **kwargs):
  File "/usr/lib64/python3.6/site-packages/pkgcore/repository/prototype.py", line 275, in _internal_gen_candidates
    for cp in sorter(candidates):
  File "/usr/lib64/python3.6/site-packages/pkgcore/repository/prototype.py", line 106, in keys
    for cat, pkgs in self._parent.items():
  File "/usr/lib64/python3.6/site-packages/snakeoil/mappings.py", line 65, in items
    yield k, self[k]
  File "/usr/lib64/python3.6/site-packages/pkgcore/repository/prototype.py", line 72, in __getitem__
    self._cache[key] = vals = self._pull_vals(key)
  File "/usr/lib64/python3.6/site-packages/pkgcore/ebuild/repository.py", line 510, in _get_packages
    f'failed fetching packages for category {category}: {e}') from e
KeyError: "failed fetching packages for category /var/lib/repo-mirror-ci/repos/causelay/media-sound: [Errno 20] Not a directory: '/var/lib/repo-mirror-ci/repos/causelay/media-sound'"
 * Cache regen failed with 1